Update a RecordSet

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
PUT /dataflows/{dataflowId}/recordsets/{recordSetId}

Update a RecordSet.

Path parameters

  • dataflowId string Required

    ID of the Dataflow

  • recordSetId string Required

    ID of the RecordSet

application/json

Body

  • description string
  • record_set_name string

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id string

      the updated RecordSet Id

PUT /dataflows/{dataflowId}/recordsets/{recordSetId}
curl \
 --request PUT 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '"{\n  \"description\": \"sample description new\",\n  \"recordSetName\": \"sample_recordSet_new\"\n}"'
Request example
sample description new
{
  "description": "sample description new",
  "recordSetName": "sample_recordSet_new"
}
Response examples (200)
{
  "_id": "574bc854d96535adaf730a60"
}